package cn.skcks.docking.gb28181.wvp.dto.report;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
@Schema(description = "上报信息")
public class ReportReq {
    @Schema(description = "上报消息id")
    private String id;
    @Schema(description = "设备编码")
    private String deviceCode;
    @Schema(description = "设备id/通道id")
    private String deviceId;
    @Schema(description = "点播时长")
    private String durationTime;
    @Schema(description = "点播时长")
    private TimeRange timeRange;

    @Schema(description = "日志记录时间")
    private String logTime;

    @AllArgsConstructor
    @NoArgsConstructor
    @Data
    public static class TimeRange {
        @Schema(description = "开始时间")
        private String startTime;

        @Schema(description = "结束时间")
        private String endTime;
    }

    @Schema(description = "文件大小, 未知大小为 -1")
    private String fileSize;
}
